- Qt 5.15
- Qt WebEngine
- C++ Classes
- FilterRequest
- Qt 5.15.19 Reference Documentation

# FilterRequest Struct

struct QWebEngineCookieStore::FilterRequest

The QWebEngineCookieStore::FilterRequest struct is used in conjunction with QWebEngineCookieStore::setCookieFilter() and is the type filterCallback operates on. More...

This struct was introduced in Qt 5.11.

- List of all members, including inherited members

## Public Variables

QUrl | firstPartyUrl
QUrl | origin
bool | thirdParty

## Detailed Description

See also QWebEngineCookieStore::setCookieFilter().

## Member Variable Documentation

### QUrl FilterRequest::firstPartyUrl

This variable holds the URL that was navigated to.

The site that would be showing in the location bar if the application has one.

Can be used to white-list or black-list cookie access or third-party cookie access for specific sites visited.

See also origin and thirdParty.

### QUrl FilterRequest::origin

This variable holds the URL of the script or content accessing a cookie.

Can be used to white-list or black-list third-party cookie access for specific services.

See also firstPartyUrl and thirdParty.

### bool FilterRequest::thirdParty

This variable holds whether this is considered a third-party access.

This is calculated by comparing FilterRequest::origin and FilterRequest::firstPartyUrl and checking if they share a common origin that is not a top-domain (like .com or .co.uk), or a known hosting site with independently owned subdomains.

See also firstPartyUrl and origin.